package cn.net.test;

import com.jymf.common.LableUtil;

import cn.net.cpzslibs.label.JinLabelUtil;

public class AGetLabelStr {

	public static void main(String[] args) {

		//补齐追溯码后四位
//		System.err.println(" 补齐labelID后四位 " + getLabelId("100000000012"));//900000000000

		// 补齐追溯码后四位
		// System.err.println(" 补齐labelID后四位 " +
		// getLabelId("900000000008"));//900000000000
		
		long orginZs = 123456789123L;
		String orginStr = String.valueOf(orginZs);
		System.out.println("" + LableUtil.getCheckNum("900000000003"));
		
//		System.out.println("" + JinLabelUtil.getPalletCode(_lineFlag));
		System.out.println("" + JinLabelUtil.getLabelId22("713070600152814780"));
//		System.err.println("getCheckNum:" + LableUtil.getCheckNum("919090900114789240"));
//		System.err.println("getConsCode:" + LableUtil.getConsCode("919090900114789240"));
//		System.out.println("" + JinLabelUtil.getJinLabelId(123456789521L));
		
//		System.err.println("" + JinLabelUtil.getDB18Label("2100100001007006560373"));
		
//		System.err.println("" + JinLabelUtil.getDB18Label("2140703001007001014805"));

	}
	
	/**
	 * 补齐追溯码后四位
	 * @param id
	 * @return
	 */
	private static String getLabelId(String id){
		String labelId = LableUtil.getCheckNum(id);
		System.out.println("消费码：" + LableUtil.getConsCode(labelId));
		return labelId;
	}
}
